﻿using _370035_ViewBag_DropDownList_MVC.Models;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace _370035_ViewBag_DropDownList_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            SelectList list = new SelectList(GetStaffList(), "Id", "staffname");
            ViewBag.StaffList = list;
            return View();
        }

        public List<staff> GetStaffList()
        {
            string _Connection = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection conn = new SqlConnection(_Connection))
            {
                var command = new SqlCommand("SELECT EmployeeID,FirstName FROM Employees", conn);
                conn.Open();
                SqlDataReader reader = command.ExecuteReader();
                List<staff> staffTbl = new List<staff>();
                while (reader.Read())
                {
                    staffTbl.Add(new staff
                    {
                        Id = Convert.ToInt32(reader["EmployeeID"]),
                        staffname = reader["FirstName"].ToString()
                    });
                }
                conn.Close();

                return staffTbl;
            }
        }
    }
}